package article

import "fmt"

type Article struct {
	ID      int    // 記事のID
	Title   string // 記事のタイトル
	Content string // 記事の内容
}

var articles = []Article{
	{
		ID:      4,
		Title:   "自己紹介",
		Content: "今更ですが、わたしの自己紹介をさせてください。なんたらかんたら",
	},
	{
		ID:      3,
		Title:   "こんなことがありました",
		Content: "先日、散歩をしていたときに変な出来事に遭遇しました。",
	},
	{
		ID:      2,
		Title:   "仕事について",
		Content: "わたしは新卒のころからずっと続けている仕事があります。",
	},
	{
		ID:      1,
		Title:   "ブログはじめました",
		Content: "このブログではわたしの個人的な事柄について書くつもりです。",
	},
}

func GetAll() ([]Article, error) {
	return articles, nil
}

func Get(id int) (*Article, error) {
	for _, a := range articles {
		if a.ID == id {
			return &a, nil
		}
	}
	return nil, fmt.Errorf("article not found: id: %d", id)
}
