package article

import (
	"strconv"
	"testing"
)

func TestGetArticles(t *testing.T) {
	got, err := GetArticles()
	if err != nil {
		t.Fatal("failed to get articles:", err)
	}
	if len(got) != 4 {
		t.Fatal("number of article is not 4:", len(got))
	}
}

func TestGetArticle(t *testing.T) {
	for i := 1; i <= 4; i++ {
		t.Run(strconv.Itoa(i), func(t *testing.T) {
			got, err := GetArticle(i)
			if err != nil {
				t.Fatal("failed to get article:", err)
			}

			if got == nil {
				t.Fatal("article is nil")
			}
			if got.Title == "" {
				t.Fatal("title is empty")
			}
			if got.Content == "" {
				t.Fatal("content is empty")
			}
		})
	}

	t.Run("article not found", func(t *testing.T) {
		got, err := GetArticle(-1)
		if err == nil {
			t.Fatal("err shouldn't be nil")
		}
		if err.Error() != "article not found: id: -1" {
			t.Fatalf("unknown error: %v", err)
		}
		if got != nil {
			t.Fatalf("article should be nil: %v", got)
		}
	})
}
