package handler

import (
	"log"
	"my-blog/article"
	"net/http"
	"strconv"
)

func (h *Handler) Article(res http.ResponseWriter, req *http.Request) {
	queryID := req.URL.Query().Get("id")
	id, err := strconv.Atoi(queryID)
	if err != nil {
		log.Println("failed to parse query:", err)
		res.WriteHeader(http.StatusBadRequest)
		return
	}

	a, err := article.GetArticle(id)
	if err != nil {
		log.Println("failed to get article:", err)
		res.WriteHeader(http.StatusNotFound)
		return
	}

	params := struct {
		Title   string
		Article *article.Article
	}{
		Title:   "わたしのブログ",
		Article: a,
	}
	h.templateArticle.Execute(res, params)
}
