package handler

import (
	_ "embed"
	"log"
	"my-blog/article"
	"net/http"
)

func (h *Handler) Index(res http.ResponseWriter, req *http.Request) {
	articles, err := article.GetArticles()
	if err != nil {
		log.Println("failed to get articles:", err)
		res.WriteHeader(http.StatusInternalServerError)
		return
	}

	params := struct {
		Title    string
		Articles []article.Article
	}{
		Title:    "わたしのブログ",
		Articles: articles,
	}
	h.templateIndex.Execute(res, params)
}
