package main

import (
	_ "embed"
	"html/template"
	"my-blog/handler"
	"net/http"
)

func main() {
	h := handler.New(
		template.Must(template.ParseFiles("assets/index.html")),
		template.Must(template.ParseFiles("assets/article.html")),
	)
	http.HandleFunc("/articles", h.Article)
	http.HandleFunc("/", h.Index)
	log.Fatal(http.ListenAndServe(":8080", nil))
}
